<div class="container mt-3" *ngIf="currentUser; else loggedOut">
  <table class="table table-bordered">
    <thead>
      <h2>{{ currentUser.username | uppercase }}</h2>
      <h1>USERNAME</h1>
    </thead>
    <!-- <p>
      <strong>Token:</strong>
      {{ currentUser.accessToken.substring(0, 20) }} ...
      {{ currentUser.accessToken.substr(currentUser.accessToken.length - 20) }}
    </p> -->
    <tbody>
      <tr>
        <td><strong>Email:</strong></td>
        <td>{{ currentUser.email }}</td>
      </tr>
      <th>
        <strong>Roles:</strong>
      </th>
      <td>
        <tr *ngFor="let role of currentUser.roles">
          {{
            role
          }}
        </tr>
      </td>
    </tbody>
  </table>
</div>
<ng-template #loggedOut> Please login. </ng-template>
